#ifndef F_CPU
	#define F_CPU 1000000
#endif

#include <avr/interrupt.h>

volatile int i = 0;

#define LED_DDR  DDRB					// LED-Pin definieren
#define LED_PORT PORTB
#define LED_PIN  PB1

ISR(INT1_vect)
{
	LED_PORT ^= (1 << LED_PIN); 		// LED-PIN invertieren
}

int main(void)
{
	
    LED_DDR = (1 << LED_PIN);			// LED-Pin als Ausgang setzen
    
	// INT1 initialisieren...
   	MCUCR |= (1<<ISC10) | (1<<ISC11);	// steigende Flanke (L->H) fuer INT1
	GICR  |= (1<<INT1);          		// externer Interrupt an INT1
	sei(); 								// Interrupts einschalten

	while (1){
			i++;						// damit Endlosschleife nicht wegoptimiert wird
	}
}					

