#include <avr/io.h>
#include <avr/interrupt.h>

#ifndef F_CPU
	#define F_CPU 1000000
#endif

#define PRELOAD		195						// Preload-Wert des Timers

#define LED_DDR  DDRB						// LED-Port definieren
#define LED_PORT PORTB
#define LED_PIN  PB3

#define INT_DDR  DDRB						// INT-Port definieren
#define INT_PORT PORTB
#define INT_PIN  PB1

volatile unsigned char c;

ISR(TIM1_OVF_vect)
{
	TCNT1     = PRELOAD;					// Preloadwert setzen
	LED_PORT ^= (1 << LED_PIN); 			// LED-PIN invertieren
	INT_PORT ^= (1 << INT_PIN);             // INT-PIN invertieren
}

int main()
{
	
	DDRB  	 |= (1 << LED_PIN) | (1 << INT_PIN);	// LED- und INT-Pin als Ausgang schalten
	LED_PORT &= ~(1 << LED_PIN);					// LED ausschalten
	INT_PORT &= ~(1 << INT_PIN);					// INT-Port auf LOW

	// Timer-Overflow-Interrupt setzen
	TCNT1   = PRELOAD;								// Preloadwert setzen
	TCCR1  |= (1 << CS13) | (1 << CS12) | (1 << CS11);	// Prescaler Timer1 auf 8192 stellen
	TIMSK  |= (1 << TOIE1);							// Timer 1 Overflow Interrupt enable

	sei(); 									// Interrupts einschalten

	while (1) {								// Endlosschleife
		c = TCNT1;							// damit Schleife nicht wegoptimiert wird
	}

	return 0;
}
